import SearchForm from "./search-form";

export default function Page() {
  return (
    <section className="bg-gray-100">
      <div className="container mx-auto px-4 py-8">
        <div className="grid grid-cols-2 gap-8">
          <div>
            <h2 className="text-xl font-bold mb-4">已收藏</h2>
            <ul className="bg-white rounded shadow-md p-4">
              <li className="flex justify-between items-center py-2 border-b">
                <span>冬天的秘密 - 周传雄</span>
                <button className="text-red-500 hover:text-red-700">
                    删除
                </button>
              </li>
              <li className="flex justify-between items-center py-2 border-b">
                <span>其实都没有 - 张盼盼</span>
                <button className="text-red-500 hover:text-red-700">
                    删除
                </button>
              </li>
            </ul>
          </div>

          <div>
            <h2 className="text-xl font-bold mb-4">搜索</h2>
            <SearchForm className="mb-4" />
            {/* <div className="bg-white rounded shadow-md p-4">
              <div className="flex justify-between items-center py-2 border-b">
                <span>Song 3</span>
                <button className="text-green-500 hover:text-green-700">
                  Add
                </button>
              </div>
              <div className="flex justify-between items-center py-2 border-b">
                <span>Song 4</span>
                <button className="text-green-500 hover:text-green-700">
                  Add
                </button>
              </div>
            </div> */}
          </div>
        </div>
      </div>
    </section>
  );
}
